VlanInterface (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.VlanInterface interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface VlanInterface

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface VlanInterface

extends LogicalElement

An L2Interface on a VLAN

Author:
  johan
Naming Rules:
  0="vlan,interface" 1="managedSystemName"
Persistable:
  true
Table Name:
  VLANINTRFC
Display Name:
  vlan,interface

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`L2Interface` | `getInterface()`
`boolean` | `getTrunkInterface()`
`Vlan` | `getVlan()`
`boolean` | `hasInterface()`
`boolean` | `hasTrunkInterface()`
`boolean` | `hasVlan()`
`void` | `setInterface(L2Interface intf)`
`void` | `setTrunkInterface(boolean b)`
`void` | `setVlan(Vlan vlan)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getVlan

    Vlan getVlan()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Networks" reverse="false"

### setVlan

    void setVlan(Vlan vlan)

### hasVlan

    boolean hasVlan()

### getInterface

    L2Interface getInterface()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Virtualizes" reverse="false"

### setInterface

    void setInterface(L2Interface intf)

### hasInterface

    boolean hasInterface()

### getTrunkInterface

    boolean getTrunkInterface()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTrunkInterface

    void setTrunkInterface(boolean b)

### hasTrunkInterface

    boolean hasTrunkInterface()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD